<?php
session_start();

$nivel_necessario = 6;
$id_user = $_SESSION['UsuarioID'];

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
// Destrói a sessão por segurança
    session_destroy();
// Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}

require_once("db.php");


if (!empty($_GET['edit'])) {

    $editar = $_GET['edit'];

    $resultEdit = mysql_query("SELECT idprod,porcent_acumu, acum1min,acum2min, acum3min, acum4min, acum1med, acum2med, acum3med,acum4med, 
								acum1max, acum2max, acum3max, acum4max, zerar,destrava, validade, dificuldade,id_ponto, ponto.nome,tablet.cliente,tablet.status, 
								tablet.pendrive_id, acum5min, acum5med, acum5max, acum6min, acum6med, acum6max, 
								creditoteclado, centavosbingo, apostamaxhalloween, leituraonlinesincronizada, zerarleituraparcial, zerarleituraoficialbackup,
								matematica_slot, modo_slot
								FROM tablet, ponto 
								WHERE idprod = '$editar' 
								AND tablet.id_ponto = ponto.id  
								ORDER BY tablet.id 
								DESC LIMIT 1");
    $rowEdit = mysql_fetch_array($resultEdit);
    ?>

    <div class="modal-body"> 	
        <div class="row">
            <div class="col-lg-12 center-block">			
                <div class="panel panel-default ">					
                    <div class="panel-body">
                        <div class="col-lg-4 center-block">
                            <div class="form-group input-group">
                                <span class="input-group-addon">Tablet  &nbsp;  &nbsp;  &nbsp; &nbsp; </span>
                                <input type="text" class="form-control" id="idprod" name="idprod"  <?php echo "value='" . $rowEdit['idprod'] . "'" ?> READONLY  >
                            </div>

                            
                            <div class="form-group input-group">
                                <span class="input-group-addon">Centavos p/ Bingo</span>
                                <select name="centavosbingo" id="centavosbingo" class="form-control">
                                    <?php
                                    //Centavos para Bingo (1, 10, 25)
                                    $selected25 = "";
                                    $selected10 = "";
                                    $selected1 = "";
                                    switch ($rowEdit['centavosbingo']) {
                                        case '1':
                                            $selected1 = " selected";
                                            break;
                                        case '10':
                                            $selected10 = " selected";
                                            break;
                                        case '25':
                                            $selected25 = " selected";
                                            break;
                                        default:
                                            $selected1 = " selected";
                                            break;
                                    }
                                    ?>
                                    <option value ='1' <?php echo $selected1; ?>>1</option>
                                    <option value ='10' <?php echo $selected10; ?>>10</option>
                                    <option value ='25' <?php echo $selected25; ?>>25</option>									
                                </select>
                            </div>

                            <?php
                            if ($_SESSION['UsuarioNivel'] == 1) {
                                $disabled = "";
                            } elseif ($_SESSION['UsuarioNivel'] == 3 || $_SESSION['UsuarioNivel'] == 4) {
                                $disabled = ' disabled=""';
                            }
                            ?>

                            <div class="form-group input-group">
                                <span class="input-group-addon">Apos. Max. Halloween</span>
                                <select name="apostamaxhalloween" id="apostamaxhalloween" class="form-control" <?php echo $disabled ?>>
                                    <?php
                                    //Aposta Maxima Halloween (10,20,30,40)
                                    $selected40 = "";
                                    $selected30 = "";
                                    $selected10 = "";
                                    $selected20 = "";
                                    switch ($rowEdit['apostamaxhalloween']) {
                                        case '10':
                                            $selected10 = "selected";
                                            break;
                                        case '20':
                                            $selected20 = "selected";
                                            break;
                                        case '30':
                                            $selected3 = "selected";
                                            break;
                                        case '40':
                                            $selected40 = "selected";
                                            break;
                                    }
                                    ?>
                                    <option value ='10' <?php echo $selected10; ?> >10</option>
                                    <option value ='20' <?php echo $selected20; ?> >20</option>
                                    <option value ='30' <?php echo $selected30; ?> >30</option>
                                    <option value ='40' <?php echo $selected40; ?> >40</option>		
                                </select>
                            </div>	
                        </div>





                        <div class="col-lg-4 center-block">
                            <?php if ($_SESSION['UsuarioNivel'] == 1) { ?> 

                                <div class="form-group input-group">    
                                    <span class="input-group-addon">Pendrive Nº </span>
                                    <input type="number" min="1" max="100" class="form-control" name="pendrive" placeholder="Numero de Controle" value='<?php echo $rowEdit['pendrive_id'] ?>'  required >
                                </div>
                                <div class="form-group input-group">
                                    <span class="input-group-addon"> Pode Zerar</span>

                                    <select name="zerar" id="zerar" class="form-control">
                                        <?php
                                        if (($rowEdit['zerar']) == 0) {
                                            echo "<option value ='0' >Não</option>
										<option value ='1' >Sim</option>";
                                        }
                                        if ($rowEdit['zerar'] == 1) {
                                            echo "<option value ='1' >Sim</option>
										<option value ='0' >Não</option>";
                                        }
                                        ?>
                                    </select>
                                </div> 
                                <?php
                            }
                            ?>

                            <div class="form-group input-group">
                                <span class="input-group-addon">Destravado</span>
                                <select name="destrava" id="destrava" class="form-control" <?= $disabled ?>>
                                    <?php
                                    for ($cont = 0; $cont <= 6; $cont++) {
                                        if ($rowEdit['destrava'] == $cont) {
                                            $selecionado = 'selected';
                                        } else {
                                            $selecionado = '';
                                        }
                                        if ($cont > 0) {
                                            $text = 'Acumulado ' . $cont;
                                        } else {
                                            $text = 'Não';
                                        }
                                        echo "<option $selecionado value ='$cont' >$text</option>";
                                    }
                                    ?>									
                                </select>
                            </div>
							
							<div class="form-group input-group">
								<span class="input-group-addon">Matemática Slot</span>
								<select name="matematicaSlot" id="matematicaSlot" class="form-control" <?= $disabled ?>>
									<option value = '0' <?php echo $rowEdit['matematica_slot'] == 0 ? ' selected' : ""; ?> >Nova</option>
									<option value = '1' <?php echo $rowEdit['matematica_slot'] == 1 ? ' selected' : ""; ?> >Antiga</option>
								</select>
							</div>
							
							<?php if ($_SESSION['UsuarioNivel'] == 3 || $_SESSION['UsuarioNivel'] == 4) { ?>
                                <div class="form-group input-group">
                                    <span class="input-group-addon">Dificuldade</span>
                                    <select name="dificuldade" id="dificuldadeTablet" class="form-control">
                                        <option value ='50' <?php echo $rowEdit['dificuldade'] == 50 ? ' selected' : ""; ?> >50</option>
                                        <option value ='55' <?php echo $rowEdit['dificuldade'] == 55 ? ' selected' : ""; ?> >55</option>
                                        <option value ='60' <?php echo $rowEdit['dificuldade'] == 60 ? ' selected' : ""; ?> >60</option>								
                                        <option value ='65' <?php echo $rowEdit['dificuldade'] == 65 ? ' selected' : ""; ?> >65</option>
                                        <option value ='70' <?php echo $rowEdit['dificuldade'] == 70 ? ' selected' : ""; ?> >70</option>
                                        <option value ='75' <?php echo $rowEdit['dificuldade'] == 75 ? ' selected' : ""; ?> >75</option>
                                    </select>
                                </div>
                            <?php } else { ?> 
                                <div class="form-group input-group" id="dificuldade">
                                    <span class="input-group-addon">Dificuldade</span>
                                    <input type="number" min="35" max="95" class="form-control" name="dificuldade" id="dificuldadeTablet" placeholder="Dificuldade" <?php echo "value='" . $rowEdit['dificuldade'] . "'" ?>>
                                </div>
                            <?php } ?> 
							
							<div class="form-group input-group">
								<span class="input-group-addon">Modo</span>
								<select name="modoSlot" id="modoTablet" class="form-control">
									<option value ='1' <?php echo $rowEdit['modo_slot'] == 1 ? ' selected' : ""; ?> >1</option>
									<option value ='2' <?php echo $rowEdit['modo_slot'] == 2 ? ' selected' : ""; ?> >2</option>
									<option value ='3' <?php echo $rowEdit['modo_slot'] == 3 ? ' selected' : ""; ?> >3</option>								
									<option value ='4' <?php echo $rowEdit['modo_slot'] == 4 ? ' selected' : ""; ?> >4</option>
								</select>
							</div>

                            <?php if ($_SESSION['UsuarioNivel'] == 1) { ?> 

                                <div class="form-group input-group">    
                                    <span class="input-group-addon">ZERAR Leitura parc.</span>
                                    <select name="zerarleituraparcial" id="zerarleituraparcial" class="form-control">
                                        <?php
                                        //Leitura Online ou Sincronizada (0, 1)							
                                        $selected0 = "";
                                        $selected1 = "";
                                        switch ($rowEdit['zerarleituraparcial']) {
                                            case '1':
                                                $selected1 = "selected";
                                                break;
                                            case '0':
                                                $selected0 = "selected";
                                                break;
                                        }
                                        ?>
                                        <option value ='1' <?php echo $selected1; ?> >Sim</option>
                                        <option value ='0' <?php echo $selected0; ?> >Não</option>
                                    </select>
                                </div>					
                                <?php
                            }
                            ?>
                        </div>
                        <?php
                        //}
                        ?>      

                        <div class="col-lg-4 center-block">
                            <div class="form-group input-group">
                                <span class="input-group-addon"> Ponto &nbsp; &nbsp; &nbsp; &nbsp;</span>
                                <select name="ponto" id="ponto" class="form-control">

                                    <option <?php echo "value='" . $rowEdit['id_ponto'] . "'" ?>  selected="selected"><?php echo $rowEdit['nome'] ?> </option>

                                    <?php
                                    $resultUser = mysql_query("SELECT ponto.id,ponto.nome FROM ponto, user WHERE  ponto.id_apoio = user.id  AND user.username = '" . $rowEdit['cliente'] . "' AND ponto.nome NOT IN ('" . $rowEdit['nome'] . "') ORDER BY ponto.nome ASC");

                                    while ($rowUser = mysql_fetch_array($resultUser)) {
                                        echo '<option $selecionado value="' . $rowUser['id'] . '">' . $rowUser['nome'] . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="form-group input-group">    
                                <span class="input-group-addon">% Acumulado </span>
                                <input type="number" step="any" min="1" max="3"  class="form-control" name="porcent_acumu" placeholder="Porcentagem Acumulado" <?php echo "value='" . $rowEdit['porcent_acumu'] . "'" ?>  required >
                            </div>


                            <div class="form-group input-group">
                                <span class="input-group-addon">Cred. por Teclado?</span>

                                <select name="creditoteclado" id="creditoteclado" class="form-control">
                                    <?php
                                    if (($rowEdit['creditoteclado']) == 0) {
                                        echo "<option value ='0'selected >Não</option>
										<option value ='1' >Sim</option>";
                                    }
                                    if ($rowEdit['creditoteclado'] == 1) {
                                        echo "<option value ='1' selected >Sim</option>
										<option value ='0' >Não</option>";
                                    }
                                    ?>
                                </select>
                            </div>

                        </div>

                        <?php if ($_SESSION['UsuarioNivel'] == 1) { ?>

                            <div class="col-lg-4 center-block" >
                                <div class="form-group input-group">    
                                    <span class="input-group-addon">ZERAR Ofic. Backup</span>
                                    <select name="zerarleituraoficialbackup" id="zerarleituraoficialbackup" class="form-control">
                                        <?php
                                        //ZERAR Oficial e Backup Banco de Dados (0, 1)						
                                        $selected0 = "";
                                        $selected1 = "";
                                        switch ($rowEdit['zerarleituraoficialbackup']) {
                                            case '1':
                                                $selected1 = "selected";
                                                break;
                                            case '0':
                                                $selected0 = "selected";
                                                break;
                                        }
                                        ?>
                                        <option value ='1' <?php echo $selected1; ?> >Sim</option>
                                        <option value ='0' <?php echo $selected0; ?> >Não</option>
                                    </select>
                                </div>


                                <div class="form-group input-group">    
                                    <span class="input-group-addon">Leit. Online ou Sincr.</span>
                                    <select name="leituraonlinesincronizada" id="leituraonlinesincronizada" class="form-control">
                                        <?php
                                        //Leitura Online ou Sincronizada (0, 1)							
                                        $selected0 = "";
                                        $selected1 = "";
                                        switch ($rowEdit['leituraonlinesincronizada']) {
                                            case '1':
                                                $selected1 = "selected";
                                                break;
                                            case '0':
                                                $selected0 = "selected";
                                                break;
                                        }
                                        ?>
                                        <option value ='1' <?php echo $selected1; ?> >Sim</option>
                                        <option value ='0' <?php echo $selected0; ?> >Não</option>
                                    </select>
                                </div>
                            </div>

                            <?php
                        }
                        ?>	
                    </div>
                </div>

                <div class="panel panel-default ">					
                    <div class="panel-body" style="background-color: #CCCCCC" >
                        <div class="col-lg-12 center-block">   
                            <div class="panel-group" id="accordion">
                                <div class="row"> 
                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h1 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Acumulado 1 (4 MAG)</a>
                                                </h1>
                                            </div>
                                            <div id="collapseOne" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum4min" placeholder="Inicial" <?php echo "value='" . $rowEdit['acum4min'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum4med" placeholder="Atual" <?php echo "value='" . $rowEdit['acum4med'] . "'" ?>  required>
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum4max" placeholder="Máximo" <?php echo "value='" . $rowEdit['acum4max'] . "'" ?> required >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h1 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">Acumulado 2 (4 ABO)</a>
                                                </h1>
                                            </div>
                                            <div id="collapseTwo" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum1min" placeholder="Inicial" <?php echo "value='" . $rowEdit['acum1min'] . "'" ?>  required>
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum1med" placeholder="Atual" <?php echo "value='" . $rowEdit['acum1med'] . "'" ?>  required>
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum1max" placeholder="Máximo" <?php echo "value='" . $rowEdit['acum1max'] . "'" ?>  required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseThree">Acumulado 3 (5 CAP)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseThree" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum2min" placeholder="Inicial" <?php echo "value='" . $rowEdit['acum2min'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum2med" placeholder="Atual" <?php echo "value='" . $rowEdit['acum2med'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum2max" placeholder="Máximo" <?php echo "value='" . $rowEdit['acum2max'] . "'" ?> required >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 center-block">   
                            <div class="panel-group" id="accordion">
                                <div class="row"> 
                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseFour">Acumulado 4 (5 ABO)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseFour" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum3min" placeholder="Inicial" <?php echo "value='" . $rowEdit['acum3min'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum3med" placeholder="Atual" <?php echo "value='" . $rowEdit['acum3med'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum3max" placeholder="Máximo" <?php echo "value='" . $rowEdit['acum3max'] . "'" ?> required >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseFive">Acumulado 5 (Jackpot)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseFive" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum5min" placeholder="Inicial" <?php echo "value='" . $rowEdit['acum5min'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum5med" placeholder="Atual" <?php echo "value='" . $rowEdit['acum5med'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum5max" placeholder="Máximo" <?php echo "value='" . $rowEdit['acum5max'] . "'" ?> required >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseSix">Acumulado 6 (Bingo)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseSix" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".01"  class="form-control" name="acum6min" placeholder="Inicial" <?php echo "value='" . $rowEdit['acum6min'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".01"  class="form-control" name="acum6med" placeholder="Atual" <?php echo "value='" . $rowEdit['acum6med'] . "'" ?> required >
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".01" class="form-control" name="acum6max" placeholder="Máximo" <?php echo "value='" . $rowEdit['acum6max'] . "'" ?> required >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- .panel-body -->
                    </div>
                </div>			
            </div>
        </div>	
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            <button type="submit" class="btn btn-primary btnSalvarEditTablet" >Salvar</button>
        </div>
    </div>	
    <script>
        $(document).ready(function () {
			
			atualizarMatematicaSlot ();
			
    <?php if ($_SESSION['UsuarioNivel'] == 3) { ?>
                // dificuldadeTablet
                //$("#dificuldadeTablet").attr({
                //	"max" : 70 // Limitar ao Cliente a configuração de retenção em 70%
                //});			
        <?php
    }
    ?>

            $("#dificuldadeTablet").change(function () {

                var max = parseInt($(this).attr('max'));
                var min = parseInt($(this).attr('min'));

                if ($(this).val() > max) {
                    $(this).val(max);
                } else if ($(this).val() < min) {
                    $(this).val(min);
                }
            });
			
			$("#matematicaSlot").change (function () {
				
				atualizarMatematicaSlot ();
			});
        });
		
		function atualizarMatematicaSlot ()
		{
			var matematica = $("#matematicaSlot").val();
				
			if (matematica == 0) // Nova
			{
				$("#dificuldadeTablet").parent().hide ();
				$("#modoTablet").parent().show ();
			}
			else if (matematica == 1) // Antiga
			{
				$("#dificuldadeTablet").parent().show ();
				$("#modoTablet").parent().hide ();
			}
		}
    </script>	
    <!-- /.col-lg-4 -->
    <?php
}
?>      